package ee.eki.news;

import java.util.Scanner;

public class NewsItem {

	private String newsText;
	private long id;
	private int readed;

	public NewsItem() {
		this.newsText = "no";
		this.id = 1;
		this.readed = 0;
	}

	/**
	 * @param row
	 *            - tabidega eraldatud int loetud, long aeg, string uudis
	 */
	public NewsItem(String row) {
		fromString(row);

	}

	public NewsItem(int readed, long id, String newsTest) {
		this.newsText = newsTest;
		this.id = id;
		this.readed = readed;
	}

	public String getUudis() {
		return newsText;
	}

	public void setNewsText(String newsTest) {
		if (newsTest.length() < 1) {
			newsTest = "NO TEXT!!!";
		}
		this.newsText = newsTest;
	}

	/**
	 * @return id ja ka aeg
	 */
	public long getId() {
		return id;
	}

	/**
	 * @param id
	 *            id ja ka aeg
	 */
	public void setId(long id) {
		if (id < 1) {
			id = 1;
		}
		this.id = id;
	}

	/**
	 * @return 1 loetud muidu (0)
	 */
	public int getLoetud() {
		return readed;
	}

	/**
	 * @param readed
	 *            - 1 on loetud muu mitte
	 */
	public void setReaded(int readed) {
		if (readed != 1) {
			readed = 0;
		}
		this.readed = readed;
	}


	public String toStringOut() {
		return readed + "\t" + id + "\t" + newsText;
	}

	public void fromString(String rida) {
		
		 String[] temp;
		 temp = rida.split("\t");
		
		int readed = Integer.parseInt(temp[0]);
		if (readed != 1) {
			readed = 0;
		}
		long createdAt =Long.parseLong(temp[1]);
		if (createdAt < 1) {
			createdAt = 1;
		}
		String text = temp[2];
		if (text.length() < 1) {
			text = "NO TEXT!!!";
		}
		newsText = text;
		id = createdAt;
		this.readed = readed;
	}
	
	public void fromStringA(String row) {
		Scanner s = new Scanner(row).useDelimiter("\\s*\\t\\s*");

		int readed = s.nextInt();
		if (readed != 1) {
			readed = 0;
		}
		long createdAt = s.nextLong();
		if (createdAt < 1) {
			createdAt = 1;
		}
		String text = s.next();
		if (text.length() < 1) {
			text = "NO TEXT!!!";
		}
		newsText = text;
		id = createdAt;
		this.readed = readed;
	}
}
